WB32L003 Standard Peripherals Firmware Library

Functions
LVD_Private_Functions
WB32L003_StdPeriph_Driver » LVD

## Functions
void | LVD_DeInit (void)
| Deinitializes the LVD peripheral registers to their default reset values. More...
void | LVD_DIGFLT_Cmd (FunctionalState NewState)
| Enables or disables the LVD digital filter. More...
void | LVD_Init (LVD_InitTypeDef *InitStruct)
| Initializes the LVD Unit according to the specified parameters in the LVD_InitTypeDef. More...
void | LVD_Cmd (FunctionalState NewState)
| Enables or disables the LVD peripheral. More...
void | LVD_ITCmd (FunctionalState NewState)
| Enables or disables LVD interrupt. More...
FlagStatus | LVD_GetFlagStatus (void)
| Checks whether LVD interrupt flag is set or not. More...
ITStatus | LVD_GetITStatus (void)
| Checks whether LVD interrupt is set or not. More...
void | LVD_ClearITPendingBit (void)
| Clears the LVD interrupt bit. More...
void | LVD_ClearFlag (void)
| Clears the LVD flag. More...

## Detailed Description

## Function Documentation

## ◆ LVD_ClearFlag()

void LVD_ClearFlag | ( | void |  | ) |

Clears the LVD flag.

Parameters

  None |

Return values

  None |

## ◆ LVD_ClearITPendingBit()

void LVD_ClearITPendingBit | ( | void |  | ) |

Clears the LVD interrupt bit.

Parameters

  None |

Return values

  None |

## ◆ LVD_Cmd()

void LVD_Cmd | ( | FunctionalState | NewState | ) |

Enables or disables the LVD peripheral.

Parameters

  NewState | The new state of the LVD peripheral. This parameter can be: ENABLE or DISABLE.

Return values

  None |

## ◆ LVD_DeInit()

void LVD_DeInit | ( | void |  | ) |

Deinitializes the LVD peripheral registers to their default reset values.

Parameters

  None |

Return values

  None |

## ◆ LVD_DIGFLT_Cmd()

void LVD_DIGFLT_Cmd | ( | FunctionalState | NewState | ) |

Enables or disables the LVD digital filter.

Parameters

  NewState | The new state of the LVD digital filter. This parameter can be: ENABLE or DISABLE.

Return values

  None |

## ◆ LVD_GetFlagStatus()

FlagStatus LVD_GetFlagStatus | ( | void |  | ) |

Checks whether LVD interrupt flag is set or not.

Parameters

  None |

Return values

  The | new state of LVD interrupt flag (SET or RESET).

## ◆ LVD_GetITStatus()

ITStatus LVD_GetITStatus | ( | void |  | ) |

Checks whether LVD interrupt is set or not.

Parameters

  None |

Return values

  The | new state of LVD interrupt (SET or RESET).

## ◆ LVD_Init()

void LVD_Init | ( | LVD_InitTypeDef * | InitStruct | ) |

Initializes the LVD Unit according to the specified parameters in the LVD_InitTypeDef.

Parameters

  InitStruct | Pointer to LVD initialization structure that contains the configuration information for the specified LVD module.

Return values

  None |

## ◆ LVD_ITCmd()

void LVD_ITCmd | ( | FunctionalState | NewState | ) |

Enables or disables LVD interrupt.

Parameters

  NewState | The new state of LVD interrupt. This parameter can be: ENABLE or DISABLE.

Return values

  None |